Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model
Interface VFeaturePathDomainModelReference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ModelChangeListener, org.eclipse.emf.common.notify.Notifier, VDomainModelReference

All Known Subinterfaces:
  VIndexDomainModelReference, VKeyAttributeDomainModelReference, VMappingDomainModelReference, VTableDomainModelReference

All Known Implementing Classes:
  VFeaturePathDomainModelReferenceImpl, VIndexDomainModelReferenceImpl, VKeyAttributeDomainModelReferenceImpl, VMappingDomainModelReferenceImpl, VTableDomainModelReferenceImpl

    public interface VFeaturePathDomainModelReference

extends VDomainModelReference

A representation of the model object 'VFeature Path Domain Model Reference'.

The following features are supported:

- `Domain Model EFeature`
- `Domain Model EReference Path`

Since:
  1.2
See Also:
  `VViewPackage.getFeaturePathDomainModelReference()`

Method Summary
`org.eclipse.emf.ecore.EStructuralFeature` | `getDomainModelEFeature()` Returns the value of the 'Domain Model EFeature' reference.
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EReference>` | `getDomainModelEReferencePath()` Returns the value of the 'Domain Model EReference Path' reference list.
`void` | `setDomainModelEFeature(org.eclipse.emf.ecore.EStructuralFeature value)` Sets the value of the ' `Domain Model EFeature`' reference.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VDomainModelReference
`getChangeListener, getEStructuralFeatureIterator, getFullPathIterator, getIterator, init`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.ModelChangeListener
`notifyChange`

Method Detail

### getDomainModelEFeature

    org.eclipse.emf.ecore.EStructuralFeature getDomainModelEFeature()

  Returns the value of the 'Domain Model EFeature' reference.

  If the meaning of the 'Domain Model EFeature' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model EFeature' reference.
  See Also:
    `setDomainModelEFeature(EStructuralFeature)`, `VViewPackage.getFeaturePathDomainModelReference_DomainModelEFeature()`

### setDomainModelEFeature

    void setDomainModelEFeature(org.eclipse.emf.ecore.EStructuralFeature value)

  Sets the value of the ' `Domain Model EFeature`' reference.

  Parameters:
    `value` - the new value of the 'Domain Model EFeature' reference.
  See Also:
    `getDomainModelEFeature()`

### getDomainModelEReferencePath

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EReference> getDomainModelEReferencePath()

  Returns the value of the 'Domain Model EReference Path' reference list. The list contents are of type `EReference`.

  If the meaning of the 'Domain Model EReference Path' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model EReference Path' reference list.
  See Also:
    `VViewPackage.getFeaturePathDomainModelReference_DomainModelEReferencePath()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.